> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post locationsfrequent locations

> Returns top N most used venues and their floors from the last year.
Default limit is 5 if not specified.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /locations/frequent-locations
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/frequent-locations:
    post:
      tags:
        - LocationService
      description: |-
        Returns top N most used venues and their floors from the last year.
        Default limit is 5 if not specified.
      operationId: getMostFrequentLocations
      parameters: []
      requestBody:
        description: Request containing optional limit parameter
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  limit: 12345
            schema:
              $ref: '#/components/schemas/FrequentLocationsRequest'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    frequentLocations:
                      - floors:
                          - locationLevel: 12345
                            tzvalue: ...
                            northEast: {}
                            sysidLocatorNode: 12345
                            isVenue: true
                            name: ...
                            sysidParentNode: 12345
                            longitude: 12345
                            latitude: 12345
                            southWest: {}
                            displayOrder: 12345
                          - locationLevel: 12345
                            tzvalue: ...
                            northEast: {}
                            sysidLocatorNode: 12345
                            isVenue: true
                            name: ...
                            sysidParentNode: 12345
                            longitude: 12345
                            latitude: 12345
                            southWest: {}
                            displayOrder: 12345
                        venueView:
                          postalCode: ...
                          country: ...
                          stateProvince: ...
                          geofenceMeters: 12345
                          sysidVenueType: 12345
                          mapImages:
                            - {}
                            - {}
                          images:
                            - {}
                            - {}
                          longitude: 12345
                          city: ...
                          sysidVenue: 12345
                          address2: ...
                          name: ...
                          active: true
                          address1: ...
                          originalVenue: true
                          latitude: 12345
                      - floors:
                          - locationLevel: 12345
                            tzvalue: ...
                            northEast: {}
                            sysidLocatorNode: 12345
                            isVenue: true
                            name: ...
                            sysidParentNode: 12345
                            longitude: 12345
                            latitude: 12345
                            southWest: {}
                            displayOrder: 12345
                          - locationLevel: 12345
                            tzvalue: ...
                            northEast: {}
                            sysidLocatorNode: 12345
                            isVenue: true
                            name: ...
                            sysidParentNode: 12345
                            longitude: 12345
                            latitude: 12345
                            southWest: {}
                            displayOrder: 12345
                        venueView:
                          postalCode: ...
                          country: ...
                          stateProvince: ...
                          geofenceMeters: 12345
                          sysidVenueType: 12345
                          mapImages:
                            - {}
                            - {}
                          images:
                            - {}
                            - {}
                          longitude: 12345
                          city: ...
                          sysidVenue: 12345
                          address2: ...
                          name: ...
                          active: true
                          address1: ...
                          originalVenue: true
                          latitude: 12345
              schema:
                $ref: '#/components/schemas/FrequentLocationsWrapper'
          description: Wrapper with frequent locations data
components:
  schemas:
    FrequentLocationsRequest:
      type: object
      title: FrequentLocationsRequest
      properties:
        limit:
          type: integer
          format: int32
      example:
        limit: 12345
    FrequentLocationsWrapper:
      type: object
      title: FrequentLocationsWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            frequentLocations:
              type: array
              items:
                $ref: '#/components/schemas/FrequentLocationData'
      example:
        frequentLocations:
          - floors:
              - locationLevel: 12345
                tzvalue: ...
                northEast: {}
                sysidLocatorNode: 12345
                isVenue: true
                name: ...
                sysidParentNode: 12345
                longitude: 12345
                latitude: 12345
                southWest: {}
                displayOrder: 12345
              - locationLevel: 12345
                tzvalue: ...
                northEast: {}
                sysidLocatorNode: 12345
                isVenue: true
                name: ...
                sysidParentNode: 12345
                longitude: 12345
                latitude: 12345
                southWest: {}
                displayOrder: 12345
            venueView:
              postalCode: ...
              country: ...
              stateProvince: ...
              geofenceMeters: 12345
              sysidVenueType: 12345
              mapImages:
                - {}
                - {}
              images:
                - {}
                - {}
              longitude: 12345
              city: ...
              sysidVenue: 12345
              address2: ...
              name: ...
              active: true
              address1: ...
              originalVenue: true
              latitude: 12345
          - floors:
              - locationLevel: 12345
                tzvalue: ...
                northEast: {}
                sysidLocatorNode: 12345
                isVenue: true
                name: ...
                sysidParentNode: 12345
                longitude: 12345
                latitude: 12345
                southWest: {}
                displayOrder: 12345
              - locationLevel: 12345
                tzvalue: ...
                northEast: {}
                sysidLocatorNode: 12345
                isVenue: true
                name: ...
                sysidParentNode: 12345
                longitude: 12345
                latitude: 12345
                southWest: {}
                displayOrder: 12345
            venueView:
              postalCode: ...
              country: ...
              stateProvince: ...
              geofenceMeters: 12345
              sysidVenueType: 12345
              mapImages:
                - {}
                - {}
              images:
                - {}
                - {}
              longitude: 12345
              city: ...
              sysidVenue: 12345
              address2: ...
              name: ...
              active: true
              address1: ...
              originalVenue: true
              latitude: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    FrequentLocationData:
      type: object
      title: FrequentLocationData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            floors:
              type: array
              items:
                $ref: '#/components/schemas/LocationData'
            venueView:
              $ref: '#/components/schemas/VenueView'
      example:
        floors:
          - locationLevel: 12345
            tzvalue: ...
            northEast:
              lat: 12345
              lng: 12345
            sysidLocatorNode: 12345
            isVenue: true
            name: ...
            sysidParentNode: 12345
            longitude: 12345
            latitude: 12345
            southWest:
              lat: 12345
              lng: 12345
            displayOrder: 12345
          - locationLevel: 12345
            tzvalue: ...
            northEast:
              lat: 12345
              lng: 12345
            sysidLocatorNode: 12345
            isVenue: true
            name: ...
            sysidParentNode: 12345
            longitude: 12345
            latitude: 12345
            southWest:
              lat: 12345
              lng: 12345
            displayOrder: 12345
        venueView:
          postalCode: ...
          country: ...
          stateProvince: ...
          geofenceMeters: 12345
          sysidVenueType: 12345
          mapImages:
            - thumbnailSource: ...
              imageSource: ...
              defaultImage: true
              sysidLocatorNode: 12345
              name: ...
              description: ...
              sysidLocationMapImage: 12345
              height: 12345
              width: 12345
              displayOrder: 12345
            - thumbnailSource: ...
              imageSource: ...
              defaultImage: true
              sysidLocatorNode: 12345
              name: ...
              description: ...
              sysidLocationMapImage: 12345
              height: 12345
              width: 12345
              displayOrder: 12345
          images:
            - defaultImage: true
              name: ...
              displayOrder: 12345
              width: 12345
              height: 12345
              thumbnailSource: ...
              description: ...
              sysidLocatorNode: 12345
              sysidLocationImage: 12345
              imageSource: ...
            - defaultImage: true
              name: ...
              displayOrder: 12345
              width: 12345
              height: 12345
              thumbnailSource: ...
              description: ...
              sysidLocatorNode: 12345
              sysidLocationImage: 12345
              imageSource: ...
          longitude: 12345
          city: ...
          sysidVenue: 12345
          address2: ...
          name: ...
          active: true
          address1: ...
          originalVenue: true
          latitude: 12345
    LocationData:
      type: object
      title: LocationData
      required:
        - locationLevel
        - isVenue
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            locationLevel:
              type: integer
              format: int32
            tzvalue:
              type: string
            northEast:
              $ref: '#/components/schemas/Northeast'
            sysidLocatorNode:
              type: integer
              format: int32
            isVenue:
              type: boolean
            name:
              type: string
            sysidParentNode:
              type: integer
              format: int32
            longitude:
              type: number
            latitude:
              type: number
            southWest:
              $ref: '#/components/schemas/Southwest'
            displayOrder:
              type: integer
              format: int32
      example:
        locationLevel: 12345
        tzvalue: ...
        northEast:
          lat: 12345
          lng: 12345
        sysidLocatorNode: 12345
        isVenue: true
        name: ...
        sysidParentNode: 12345
        longitude: 12345
        latitude: 12345
        southWest:
          lat: 12345
          lng: 12345
        displayOrder: 12345
    VenueView:
      type: object
      title: VenueView
      required:
        - sysidVenueType
        - sysidVenue
        - active
        - originalVenue
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            postalCode:
              type: string
            country:
              type: string
            stateProvince:
              type: string
            geofenceMeters:
              type: integer
              format: int32
            sysidVenueType:
              type: integer
              format: int32
            mapImages:
              type: array
              items:
                $ref: '#/components/schemas/LocationMapImageData'
            images:
              type: array
              items:
                $ref: '#/components/schemas/LocationImageData'
            longitude:
              type: number
            city:
              type: string
            sysidVenue:
              type: integer
              format: int32
            address2:
              type: string
            name:
              type: string
            active:
              type: boolean
            address1:
              type: string
            originalVenue:
              type: boolean
            latitude:
              type: number
      example:
        postalCode: ...
        country: ...
        stateProvince: ...
        geofenceMeters: 12345
        sysidVenueType: 12345
        mapImages:
          - thumbnailSource: ...
            imageSource: ...
            defaultImage: true
            sysidLocatorNode: 12345
            name: ...
            description: ...
            sysidLocationMapImage: 12345
            height: 12345
            width: 12345
            displayOrder: 12345
          - thumbnailSource: ...
            imageSource: ...
            defaultImage: true
            sysidLocatorNode: 12345
            name: ...
            description: ...
            sysidLocationMapImage: 12345
            height: 12345
            width: 12345
            displayOrder: 12345
        images:
          - defaultImage: true
            name: ...
            displayOrder: 12345
            width: 12345
            height: 12345
            thumbnailSource: ...
            description: ...
            sysidLocatorNode: 12345
            sysidLocationImage: 12345
            imageSource: ...
          - defaultImage: true
            name: ...
            displayOrder: 12345
            width: 12345
            height: 12345
            thumbnailSource: ...
            description: ...
            sysidLocatorNode: 12345
            sysidLocationImage: 12345
            imageSource: ...
        longitude: 12345
        city: ...
        sysidVenue: 12345
        address2: ...
        name: ...
        active: true
        address1: ...
        originalVenue: true
        latitude: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    LocationMapImageData:
      type: object
      title: LocationMapImageData
      required:
        - defaultImage
        - height
        - width
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            thumbnailSource:
              type: string
            imageSource:
              type: string
            defaultImage:
              type: boolean
            sysidLocatorNode:
              type: integer
              format: int32
            name:
              type: string
            description:
              type: string
            sysidLocationMapImage:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
      example:
        thumbnailSource: ...
        imageSource: ...
        defaultImage: true
        sysidLocatorNode: 12345
        name: ...
        description: ...
        sysidLocationMapImage: 12345
        height: 12345
        width: 12345
        displayOrder: 12345
    LocationImageData:
      type: object
      title: LocationImageData
      required:
        - defaultImage
        - width
        - height
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            defaultImage:
              type: boolean
            name:
              type: string
            displayOrder:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            description:
              type: string
            sysidLocatorNode:
              type: integer
              format: int32
            sysidLocationImage:
              type: integer
              format: int32
            imageSource:
              type: string
      example:
        defaultImage: true
        name: ...
        displayOrder: 12345
        width: 12345
        height: 12345
        thumbnailSource: ...
        description: ...
        sysidLocatorNode: 12345
        sysidLocationImage: 12345
        imageSource: ...

````